Download it now!
Bug 63848 - Better default formatting after user editing of a cell
Summary: Better default formatting after user editing of a cell
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.3.1 rc
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Number-Format Calc-UX
  Show dependency treegraph
 
Reported: 2013-04-23 16:43 UTC by Michael Meeks
Modified: 2021-01-05 03:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
small test sheet. (8.11 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-04-23 16:46 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-04-23 16:43:22 UTC
I load the attached sheet;

delete the cell =A2 (it's text formatted and we don't want that).
select A2:A10 or so
ctrl-1 -> select 'number general'
   + notice it is already formatted this way: though it has diverse formatting in the range.
'ok' the dialog.

Notice A2 is still formatted as text.

It should be number formatted; that -really- got me just now.

I'd love to know if it's a regression in 4.0

I assume it is all down to what we stick into the SfxItemSet for a diverse set of number formats.
Comment 1 Michael Meeks 2013-04-23 16:45:23 UTC
if it is a regression AOO 3.4.1 has it too which narrows the field.
Comment 2 Michael Meeks 2013-04-23 16:46:22 UTC
Created attachment 78380 [details]
small test sheet.
Comment 3 QA Administrators 2015-03-04 02:21:37 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-23 12:28:24 UTC
Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 5 tommy27 2016-04-16 07:27:00 UTC Comment hidden (obsolete)
Comment 6 Michael Meeks 2016-04-18 08:38:33 UTC
I guess I should be less idle and re-test this with an older version ;-) in lieu of that - this persists in master ... =)
Comment 7 QA Administrators 2017-05-22 13:23:25 UTC Comment hidden (obsolete)
Comment 8 Thomas Lendo 2019-01-05 18:18:51 UTC
Still reproducible.

Version: 6.3.0.0.alpha0+
Build-ID: be8897d9c63a77b223a9c0aed1d2eb689e0e0082
CPU-Threads: 4; BS: Linux 4.15; UI-Render: Standard; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-02_04:49:04
Comment 9 QA Administrators 2021-01-05 03:47:41 UTC
Dear Michael Meeks,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug